import express from 'express';
import { uploadImage } from '../controllers/uploadController.js';
import { optionalAuth } from '../middleware/authMiddleware.js';

const router = express.Router();

// File upload route mapping
router.post('/', optionalAuth, uploadImage);

export default router;
